package gov.va.vinci.dart.json;


import gov.va.vinci.dart.json.atom.LinkListView;

import javax.xml.bind.annotation.XmlType;

@XmlType(name = "Person", propOrder = {
	    "id",
	    "name",
	    "description",
	    "fullName",
	    "locationId",
	    "links"
	})
public class PersonView {

	private int id;
	private String name;
	private String description;
	private String fullName;
	private int locationId;
	
	private LinkListView links;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getFullName() {
		return fullName;
	}

	public void setFullName(String fullName) {
		this.fullName = fullName;
	}

	public int getLocationId() {
		return locationId;
	}

	public void setLocationId(int locationId) {
		this.locationId = locationId;
	}

	public LinkListView getLinks() {
		return links;
	}

	public void setLinks(LinkListView links) {
		this.links = links;
	}
}
